Subject: bug#69057: AUCTeX 14.0.2 and TexLab 5.12.3

From: Ikumi Keita <[email-masked]>
Date: Tue, 13 Feb 2024 19:09:45 +0900

>>>>> Arash Esbati <[email-masked]> writes:
> Ikumi Keita <[email-masked]> writes:

>> Thanks for your report. It seems that we should ask lsp-mode to support
>> AUCTeX new mode names. I posted a request to lsp-mode issue tracker:
>> https://github.com/emacs-lsp/lsp-mode/issues/4332

> FYI, I briefly tried Texlab with eglot bundled with Emacs 30 and it
> worked OOTB.  It seems it doesn't have an issue with the new mode names.
> In case my test isn't accurate -- we have to tweak
> `eglot-server-programs'.

Thanks, it's a good news.  On emacs 29, eglot says and asks:
[eglot] Couldn't guess LSP server for `LaTeX-mode'
Enter program to execute (or <host>:<port>): 

After I answered "latex", it seems to work successfully.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW